Page MenuHomePhabricator

Conpherence - fix recent participant cache
ClosedPublic

Authored by btrahan on Apr 9 2015, 8:20 PM.
Tags
None
Referenced Files
Unknown Object (File)
Thu, Mar 28, 6:37 PM
Unknown Object (File)
Mar 17 2024, 2:37 PM
Unknown Object (File)
Feb 23 2024, 11:50 AM
Unknown Object (File)
Feb 15 2024, 5:07 AM
Unknown Object (File)
Feb 15 2024, 3:28 AM
Unknown Object (File)
Feb 15 2024, 3:09 AM
Unknown Object (File)
Feb 15 2024, 3:00 AM
Unknown Object (File)
Feb 7 2024, 1:38 AM
Subscribers

Details

Summary

Ref T7795. This fixes the behavior where you end up with a "a, b, c..." as the list of participants, and yet user a just left.

Test Plan

joined and left a thread. verified database had correct values. observed correct behavior in messages dropdown

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

btrahan retitled this revision from to Conpherence - fix recent participant cache.
btrahan updated this object.
btrahan edited the test plan for this revision. (Show Details)
btrahan added a reviewer: epriestley.
src/applications/conpherence/editor/ConpherenceEditor.php
262–265

I don't understand this -- shouldn't we still update the cache if a user leaves?

src/applications/conpherence/editor/ConpherenceEditor.php
275

this function basically bumps the transaction author to the front, including adding them back if necessary. I can rename stuff so that's more clear.

epriestley edited edge metadata.

Ah, okay. Yeah, that wasn't obvious to me.

This revision is now accepted and ready to land.Apr 9 2015, 8:25 PM
btrahan edited edge metadata.

rename variable and function to the gist of 'make author most recent participant'

This revision was automatically updated to reflect the committed changes.